Index: contrib/crossrpms/rtems4.11/arm-eabi/rtems-4.11-arm-rtemseabi4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/rtems-4.11-arm-rtemseabi4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/arm-eabi/rtems-4.11-arm-rtemseabi4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-arm-rtemseabi4.11-binutils
 Requires:	rtems-4.11-arm-rtemseabi4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-arm-rtemseabi4.11-binutils
-# Requires:       rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-arm-rtemseabi4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-arm-rtems4.11-binutils
 Requires:	rtems-4.11-arm-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-arm-rtems4.11-binutils
-# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-avr-rtems4.11-binutils
 Requires:	rtems-4.11-avr-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -344,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-avr-rtems4.11-binutils
-# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -646,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -764,5 +764,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -785,5 +785,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-bfin-rtems4.11-binutils
 Requires:	rtems-4.11-bfin-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-bfin-rtems4.11-binutils
-# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -837,5 +837,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -858,5 +858,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-i386-rtems4.11-binutils
 Requires:	rtems-4.11-i386-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-i386-rtems4.11-binutils
-# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m32c-rtems4.11-binutils
 Requires:	rtems-4.11-m32c-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -344,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32c-rtems4.11-binutils
-# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -646,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -765,5 +765,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -786,5 +786,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m32r-rtems4.11-binutils
 Requires:	rtems-4.11-m32r-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -344,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32r-rtems4.11-binutils
-# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -646,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -765,5 +765,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -786,5 +786,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m68k-rtems4.11-binutils
 Requires:	rtems-4.11-m68k-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m68k-rtems4.11-binutils
-# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-mips-rtems4.11-binutils
 Requires:	rtems-4.11-mips-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-mips-rtems4.11-binutils
-# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-powerpc-rtems4.11-binutils
 Requires:	rtems-4.11-powerpc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110825.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-powerpc-rtems4.11-binutils
-# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sh-rtems4.11-binutils
 Requires:	rtems-4.11-sh-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sh-rtems4.11-binutils
-# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sparc-rtems4.11-binutils
 Requires:	rtems-4.11-sparc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
+++ contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision dc2cc62736e615bbe9338db0e31333f8fe0ecfb0)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.6.1
-%define gcc_version 4.6.1
-%define gcc_rpmvers %{expand:%(echo "4.6.1" | tr - _ )}
+%define gcc_pkgvers 4.6.2
+%define gcc_version 4.6.2
+%define gcc_rpmvers %{expand:%(echo "4.6.2" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sparc64-rtems4.11-binutils
 Requires:	rtems-4.11-sparc64-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -253,7 +253,7 @@
 %global _gcclibdir %{_prefix}/lib
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -262,5 +262,5 @@
 %endif
 
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -356,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-19%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-20%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -641,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc64-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 # License:	GPL
 
@@ -659,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-19%{?dist}
+Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-20%{?dist}
 License:	GPL
 
@@ -838,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        19%{?dist}
+Release:        20%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
